dslLevel 2
Package com.gk_software.cst.pos.client.model.config.do_types.global

Import com.gk_software.pos.api.model.app.AbstractEntity_DO.AbstractEntity


domain object BarcodeFilterConfig_CST {
  version "1.0"

  master entity BarcodeFilterConfigDO_CST extends AbstractEntity {
    attribute enabled : boolean
    attribute barcodeRules : BarcodeFilterRuleDO_CST [0..*]
  }

  entity BarcodeFilterRuleDO_CST extends AbstractEntity {
    attribute id : int
    attribute name : String
    attribute templates : BarcodeFilterTemplateDO_CST [0..*]
  }

  entity BarcodeFilterTemplateDO_CST  extends AbstractEntity {
    attribute type : BarcodeFilterBarcodeType_CST
    attribute minLength : int
    attribute maxLength : int
    attribute prefixes : String [0..*]
  }

typedef BarcodeFilterBarcodeType_CST : enum with type String [
    EAN8 as "EAN8",
    EAN8_S as "EAN8_S",
    EAN13 as "EAN13",
    EAN13_S as "EAN13_S",
    EAN128 as "EAN128",
    CODE39 as "CODE39",
    CODE93 as "CODE93",
    CODE128 as "CODE128",
    UPCA as "UPCA",
    UPCA_S as "UPCA_S",
    UPCE as "UPCE",
    UPCE_S as "UPCE_S",
    UPCD1 as "UPCD1",
    UPCD2 as "UPCD2",
    UPCD3 as "UPCD3",
    UPCD4 as "UPCD4",
    UPCD5 as "UPCD5",
    TWO_OF_FIVE as "ITF",
    RSS14 as "RSS14",
    RSS_EXPANDED as "RSS_EXPANDED",
    GS1 as "GS1",
    PDF417 as "PDF417",
    MAXICODE as "MAXICODE",
  DATAMATRIX as "DATAMATRIX",
    QRCODE as "QRCODE",
    UQRCODE as "UQRCODE",
    AZTEC as "AZTEC",
  GS1DATABAR_E as "GS1DATABAR_E",
  GS1DATABAR as "GS1DATABAR",
    UPDF417 as "UPDF417"
]}
