dslLevel 2

Package com.gk_software.cst.pos.client.model.config.do_types.pos_process
Import com.gk_software.pos.api.model.app.AbstractEntity_DO.AbstractEntity


domain object CashRecyclerDeviceConfigs_CST {
  version "v00.00.01"
  
  master entity CashRecyclerDeviceConfigsDO_CST extends AbstractEntity {  
    /$ Communication port id. $/
    required attribute address : String
    
    /$ Connection timeout $/
    required attribute connectionTimeout : int
    
    /$ Receive timeout $/
    required attribute receiveTimeout : int

    /$ Device status polling period. $/
    required attribute deviceStatusPollingPeriod : int    

    /$ Device status polling period. $/
    required attribute reconnectAttemptsPollingPeriod : int    

    /$ Transaction status polling period. $/
    required attribute transactionStatusPollingPeriod : int    

    /$ Payment job finish awaiting timeout $/
    required attribute paymentJobFinishAwaitingTimeOut : int  

    /$ Device class path : 
          For using Tp Cash device : com.gk_software.cst.pos.hal.device.cash_recycler.impl.tp_cash.TpCashRecyclerImpl $/
    required attribute cashRecyclerClassPath : String
    
    /$ Device class path $/
    required attribute cashRecyclerDeviceClassPath : String with default "com.gk_software.cst.pos.hal.device.cash_recycler.impl.CashRecyclerDeviceImpl"
    
    /$ Is device enabled $/
    required attribute enabled : boolean with default "false"
    
    /$ Enables debug mode in adapter $/
    required attribute debugModeEnabled : boolean with default "false"

  }  
}