dslLevel 2
Package com.gk_software.cst.pos.client.model.config.do_types.pos_process
Import com.gk_software.pos.api.model.config.do_types.processes.flows.ProcessConfig_DO.ProcessConfig


domain object CashbackOtherCardsConfig_CST {
  version "1.0"
  master entity CashbackOtherCardsConfigDO_CST extends ProcessConfig {
    /$ Whether the feature is enable, global attribute $/
    required attribute enabled : boolean
    /$ Minimal purchase value for cashback to be allowed, global attribute $/
    required attribute minPurchaseValue : double
    /$ Semicolon separated cashback amounts for selection mask $/
    required attribute cashBackValueList : String
    /$ Minimum total amount of the terminal transaction (payment amount plus selected cashback amount) $/
    required attribute totalAmountMinLimit : double
    /$ Minimum total amount to stay in till after cashback processing $/
    required attribute minCashInTill : double
    /$ Controls whether the confirmation dialog for cashback has to be displayed $/
    required attribute showConfirmation : boolean
  }
}
