dslLevel 2

Package com.gk_software.cst.pos.client.model.config.do_types.pos_process

Import com.gk_software.pos.api.model.config.do_types.processes.actions.PaymentOperationConfig_DO.CreditPaymentOperationConfig
Import com.gk_software.pos.api.model.config.do_types.processes.flows.payment.CreditPaymentConfig_DO.CreditPaymentConfig
Import com.gk_software.cst.pos.client.model.config.do_types.pos_process.PaymentOperationConfig_EXT.CreditPaymentOperationConfigDO_EXT
Import com.gk_software.pos.api.model.config.do_types.processes.flows.auth.AuthorizationConfig_DO.AuthorizationConfig


domain object CreditPaymentConfig_EXT {
  version "v00.00.01"

    /$ Config for cash payment process. $/
    master entity CreditPaymentConfigDO_EXT extends CreditPaymentConfig {

        /$  The payment operation config for the credit payment action $/
        required attribute paymentOperationConfig_EXT : CreditPaymentOperationConfigDO_EXT
        /$ Defines if an electronic customer entry is required for dummy credit customers $/
        attribute askForCustomerEntry : boolean
    }
}

