dslLevel 2
Package com.gk_software.cst.pos.client.model.config.do_types.pos_process

Import com.gk_software.pos.api.model.config.do_types.processes.flows.ProcessConfig_DO.ProcessConfig

domain object ExtendedCustomerInformationConfig_CST {
  version "1.0"
	
  master entity ExtendedCustomerInformationConfigDO_CST extends ProcessConfig {
    /$ Controls, if the customer name is displayed $/
    required attribute displayName : boolean
    /$ Controls, if the customer number is displayed $/
    required attribute displayCustomerNumber : boolean
    /$ Controls, if the card number is displayed $/
    required attribute displayCardNumber : boolean
    /$ Controls, if the buyer number is displayed $/
    required attribute displayBuyerNumber : boolean
    /$ Controls, if the buyer name is displayed $/
    required attribute displayBuyerName : boolean
    /$ Controls, if the address is displayed $/
    required attribute displayAddress : boolean
    /$ Controls, if the mail is displayed $/
    required attribute displayMail : boolean
    /$ Controls, if the credit is displayed $/
    required attribute displayCredit : boolean
    /$ Controls, if the credit limit is displayed $/
    required attribute displayCreditLimit : boolean
    /$ Controls, if the empties amount is displayed $/
    required attribute displayEmptiesAmount : boolean
    /$ Controls, if the license section is displayed $/
    required attribute displayLicenses : boolean
    /$ Controls, if the postal box number is displayed $/
    required attribute displayPostalBox : boolean
    /$ Controls, if the empties return allowance information is displayed $/
    required attribute displayEmptiesReturnBlockingFlag : boolean
    /$ Control, if it is displayed, if the customer is a gastro customer $/
    required attribute displayGastroCustomer : boolean
  }
}
