dslLevel 2

Package com.gk_software.cst.pos.client.model.config.do_types.pos_process

Import com.gk_software.pos.api.model.config.do_types.processes.ui.DialogConfig_DO.MessageDialogConfig
Import com.gk_software.pos.api.model.config.do_types.processes.flows.ProcessConfig_DO.ProcessConfig


domain object MultiRegistrationScreenConfig_CST {
  version "1.0"

  master entity MultiRegistrationScreenConfigDO_CST extends ProcessConfig {

      /$ Define Customer Card Type to be checked in transaction. $/
      attribute requiredCustomerCardType  : String(2)

      /$ Define multiRegistration Card Type to be checked in transaction. $/
      attribute multiRegistrationCardTypeDesc : String

      /$ Define exclusive card types to be checked in transaction. $/
      attribute exclusiveCardList : String

      /$ Message dialog config: no customer card warning $/
      attribute noCustomerCardMessageDialogConfig : MessageDialogConfig

      /$ message key for label in scan expected screen $/
      attribute scanExpectMessageKey : String

      /$ Supercard config ID which might be passed from calling process and which is then used as a runtime config ID
       for supercard registraion called from this process $/
      attribute supercardRegistrationConfigId : String      

      /$ defines if only the customer card in parameter requiredCustomerCardType is allowed to be registered$/  
      attribute onlyRequiredCustomerCardTypeAllowed : boolean
      
      /$ defines whether the button "TWINT" is displayed in ScanExpect customerMultiRegistrationScreen $/  
      attribute twintAllowed : boolean

  }
}
