dslLevel 2
Package com.gk_software.cst.pos.client.model.config.do_types.pos_process

Import com.gk_software.pos.api.model.config.do_types.processes.flows.ProcessConfig_DO.ProcessConfig

domain object MultiUserScreenConfig_CST {
	version "1.0"
  master entity MultiUserScreenConfigDO_CST extends ProcessConfig {
  
    /$ Parameter that defines the maximal number of users that can be logged in at the same time:
       There are two variants:
        DEFAULT (6 users)
        BIG_STORE (10 users)
       If an other value than these two is entered as parameter, the POS will fallback to the default value.
     $/
    attribute operatorButtonsMaximum : MultiUserScreenVariant_CST with default "DEFAULT"
  }
}

typedef MultiUserScreenVariant_CST : enum with type String [
    DEFAULT as "DEFAULT",
    BIG_STORE as "BIG_STORE"
]