dslLevel 2

Package com.gk_software.cst.pos.client.model.config.do_types.pos_process

Import com.gk_software.cst.pos.client.model.config.do_types.pos_process.CashbackOtherCardsConfig_CST.CashbackOtherCardsConfigDO_CST
Import com.gk_software.cst.pos.client.model.config.do_types.pos_process.PermanentCustomerInformationConfig_EXT.PermanentCustomerInformationConfigDO_EXT
Import com.gk_software.pos.api.model.config.do_types.processes.flows.auth.AuthorizationConfig_DO.AuthorizationConfig
Import com.gk_software.pos.api.model.config.do_types.processes.flows.payment.PaymentConfig_DO.PaymentConfig
Import com.gk_software.cst.pos.client.model.config.do_types.pos_process.BadgeConfigs_CST.BadgeCommonConfigDO_CST
Import com.gk_software.cst.pos.client.model.config.do_types.pos_process.PromotionTenderConfig_CST.PromotionTenderConfigDO_CST

domain object PaymentConfig_EXT {
  version "v00.00.01"

  master entity PaymentConfigDO_EXT extends PaymentConfig {
    /$ Semicolon separated list of tender type codes of tenders with allowed authorization for exceeded maximum limit $/
    required attribute tendersWithMaxLimitAuthorization : String

    required attribute tenderMaxLimitAuthorizationConfig : AuthorizationConfig

    required attribute badgeCommonConfig : BadgeCommonConfigDO_CST

    /$ promotion tender config$/
    required attribute promotionTenderConfig       : PromotionTenderConfigDO_CST

    /$ Cashback other cards process config - needed for cashback button condition $/
    required attribute cashbackOtherCardsConfig : CashbackOtherCardsConfigDO_CST

    required attribute instantWinCouponPrefix : String

    required attribute paymentBreakAuthorizationConfig : AuthorizationConfig

    attribute cancelTransactionButtonShown : boolean
    
    attribute exitScoServiceModeButtonShown : boolean
    
    attribute permanentCustomerInformationConfig_EXT : PermanentCustomerInformationConfigDO_EXT
    
    required attribute promotionTenderTransferConfigId: String

  }

}