dslLevel 2

Package com.gk_software.cst.pos.client.model.config.do_types.pos_process

Import com.gk_software.pos.api.model.config.do_types.processes.actions.PaymentOperationConfig_DO.CreditPaymentOperationConfig
Import com.gk_software.pos.api.model.config.do_types.processes.actions.PaymentOperationConfig_DO.GiftCertificatePaymentOperationConfig


domain object PaymentOperationConfig_EXT {
  version "v00.00.01"

  entity CreditPaymentOperationConfigDO_EXT extends CreditPaymentOperationConfig {

    /$ Specifies whether the dialog for signature verification is displayed $/
    required attribute askForSignature : boolean

    /$ Print merchant receipt $/
    required attribute  printMerchantReceipt : boolean

    /$ Web service configuration $/
    attribute webServiceConfig : String

    /$ If the value of the OP-Rest is higher the payment must be authorized by a 4-eyes principle. $/
    attribute oPRestThresholdAmount : double
    /$ Preconditions can be skipped if function is called from button "Kreditkauf" in payment mask $/
    attribute skipPrecondition : boolean

    /$ Cost center $/
    attribute costCentre : String

    /$ Specifies whether a cost center has to be entered $/
    attribute costCentreRequired : boolean

    /$ Specifies the ID of the system calling the web service $/
    attribute userID : String
    
    /$ additional report config Id$/
    attribute reportId : String
  }
  
  entity GiftCertificatePaymentOperationConfigDO_EXT extends GiftCertificatePaymentOperationConfig {    
  }
  



}