dslLevel 2
Package com.gk_software.cst.pos.client.model.config.do_types.pos_process

Import com.gk_software.cst.pos.client.model.config.do_types.pos_process.CustomerCardConfigs_CST.DiscardCustomerBatchConfigDO_CST
Import com.gk_software.cst.pos.client.model.config.do_types.pos_process.TerminalTransactionConfig_CST.TerminalTransactionConfigDO_CST
Import com.gk_software.pos.api.model.config.do_types.processes.flows.ProcessConfig_DO.ProcessConfig
Import com.gk_software.pos.api.model.config.do_types.processes.ui.DialogConfig_DO.MessageDialogConfig

domain object PrepaidCardsRechargingConfig_CST {
	version "1.0"
	
	master entity PrepaidCardsRechargingConfigDO_CST extends ProcessConfig{
	  required attribute rechargingCardType : RechargingCardType [0..*]
	  required attribute prepaidCardTypeCode : String
	  required attribute customerRegistrationMode : CustomerRegistrationMode
	  required attribute checkReka : boolean
	  required attribute maxRechargingValue : double
	  
    required attribute customerRegistrationSCConfigId : String
    required attribute customerRegistrationECConfigId : String
    required attribute payInOutItemEntryConfigId      : String
    required attribute terminalTransactionConfigId    : String
    
    required attribute discardCustomerBatchConfig : DiscardCustomerBatchConfigDO_CST
	}
	
  entity RechargingCardType {
    required attribute rechargingCardTypeCode : String
    required attribute item : String
    required attribute allowedPaymentList : String
  }
  
  entity PrepaidCardsCancellationConfigDO_CST extends ProcessConfig {
    required attribute terminalTransactionConfigId    : String
  }
}

typedef CustomerRegistrationMode : enum with type String [
    NOT_REQUIRED as "NOT_REQUIRED",
    SC           as "SC",
    EC           as "EC"
]