dslLevel 2

Package com.gk_software.cst.pos.client.model.config.do_types.pos_process

Import com.gk_software.pos.api.model.app.AbstractEntity_DO.AbstractEntity
Import com.gk_software.pos.api.model.app.Percent

domain object PromotionOperationAdditionalConfig_CST {
  version "1.0"
  
  master entity PromotionOperationAdditionalConfigDO_CST extends AbstractEntity {
    
    /$ It defines the minimum percentage deviation from the unit price of the line item, from which on it is not allowed to be below the limit. $/
    attribute minLimitForbid : Percent
    /$ Checks if checking for limit violations considers the trigger in SpecialSaleDO_CST if there was a previous trigger for the same item. $/
    required attribute skipSpecialSaleTrigger : boolean
    /$ It determines, that value from TriggerSequenceAddend will not be increased. $/
    required attribute dontIncreaseTriggerSequenceAddend : boolean
    /$ Show additional  price info in mask “View Position_deduction” $/
    required attribute showPriceInfo : boolean
    /$ In case of value "true" new created trigger represents special sale $/
    attribute specialSaleTrigger : boolean
    /$ A parameter for bonus point's recognition $/
    attribute bonusPointsFlag : boolean
  }
}