dslLevel 2

Package com.gk_software.cst.pos.client.model.config.do_types.pos_process
Import com.gk_software.pos.api.model.config.do_types.processes.flows.rescan.RescanConfig_DO.RescanConfig
Import com.gk_software.pos.api.model.config.do_types.processes.flows.rescan.RescanConfig_DO.PartialRescanConfig
Import com.gk_software.pos.api.model.config.do_types.processes.flows.rescan.RescanConfig_DO.RescanCheckConfig
Import com.gk_software.pos.api.model.config.do_types.processes.flows.rescan.RescanConfig_DO.FullRescanConfig
Import com.gk_software.pos.api.model.app.AbstractEntity_DO.AbstractEntity
Import com.gk_software.pos.api.model.config.do_types.processes.flows.ProcessConfig_DO.ProcessConfig
Import com.gk_software.cst.pos.client.model.config.do_types.pos_process.RescanRegisterCoupon_CST
Import com.gk_software.pos.api.model.config.do_types.processes.actions.PositionOperationConfig_DO.PositionOperationConfig
Import com.gk_software.pos.api.model.config.do_types.processes.ui.DialogConfig_DO.MessageDialogConfig


domain object RescanConfig_EXT {
  version "v00.00.01"

  master entity RescanConfigDO_EXT extends RescanConfig {
    /$ StandardRescanType values:
    fromFraudDetectionService - FDS is called and rescan type is from this result
    fromRescanServiceOnlineCalculation - rescan type is used as configured in RescanServiceOnlineCalculationConfig_EXT
 $/
    required attribute standardRescanType : String
    required attribute suspendingDuringRescanAllowed : boolean
  }


  entity RescanCheckConfigDO_EXT extends RescanCheckConfig {
    required attribute rescanConfig : RescanConfigDO_EXT
    required attribute switcherSuspendConfigId : String
    required attribute automaticRescanMessageConfig : MessageDialogConfig
  }

  entity PartialRescanConfigDO_EXT extends PartialRescanConfig {
    required attribute registerCouponConfigId : String
    required attribute registerCouponPartialRescan : RescanRegisterCoupon_CST
  }

  entity FullRescanConfigDO_EXT extends FullRescanConfig {
    required attribute registerCouponConfigId : String
    required attribute registerCouponFullRescan : RescanRegisterCoupon_CST
    required attribute voidingPositionOperationConfig : PositionOperationConfig

  }

}

typedef RescanRegisterCoupon_CST : enum with type String [
    NEVER as "NEVER",
    NODIFF as "NODIFF",
    ALWAYS as "ALWAYS"
]