dslLevel 2
Package com.gk_software.cst.pos.client.model.config.do_types.pos_process

Import com.gk_software.cst.pos.client.model.config.do_types.pos_process.ItemEntryConfig_EXT.ItemEntryConfigDO_EXT
Import com.gk_software.pos.api.model.config.do_types.processes.flows.ProcessConfig_DO.ProcessConfig

Import com.gk_software.pos.api.model.config.do_types.processes.actions.PositionOperationConfig_DO.PositionOperationConfig

domain object RetrieveSelfScanningTransactionConfig_CST {
  version "1.0"
  master entity RetrieveSelfScanningTransactionConfigDO_CST extends ProcessConfig {
    /$ CONFIG: Position operation config for line item operations and filtering transaction results. $/
    required attribute positionOperationConfig : PositionOperationConfig

    /$ Supercard registration config ID $/
    required attribute supercardRegistrationConfigId : String

    /$ Employee card registration config ID $/
    required attribute employeeCardRegistrationConfigId : String

    /$ Employee card registration config ID $/
    required attribute otherCardRegistrationConfigId : String

    /$ Config ID for retrieve scale transaction $/
    required attribute retrieveScaleTransactionConfigId : String

    attribute warrantyPlusItem :String

    required attribute itemEntryConfigId : ItemEntryConfigDO_EXT
    attribute salesRestrictionConfig : String

    required attribute processItemByBarcodeBarcodeTypesFirst : String [ 0 .. * ] indistinct
    required attribute processItemByBarcodeBarcodeTypesSecond : String [ 0 .. * ] indistinct
    required attribute processItemByBarcodeFindRulesForProcesses : String [ 0 .. * ] indistinct
    required attribute processItemByBarcodeFinalEventTransition : String
    required attribute processItemByBarcodeDefaultFallbackEnabled : boolean
    attribute manualLineItemDiscountSpecialSaleNewPriceConfigId :String
    attribute manualLineItemDiscountSpecialSaleRebatePercentConfigId :String
    attribute manualLineItemDiscountSpecialSaleRebateAmountConfigId  :String
  }
}
