dslLevel 2

Package com.gk_software.cst.pos.client.model.config.do_types.pos_process

Import com.gk_software.pos.api.model.config.do_types.processes.ui.DialogConfig_DO.PromptUserDialogConfig
Import com.gk_software.pos.api.model.config.do_types.processes.flows.ProcessConfig_DO.ProcessConfig
Import com.gk_software.pos.api.model.config.do_types.processes.actions.PositionOperationConfig_DO.PositionOperationConfig

domain object TopUpConfig_CST {
    version "1.0"
    
  entity TopUpSaleConfigDO_CST extends ProcessConfig {
    /$ link to the position operation configuration for top up sale $/
    attribute positionOperationConfig : PositionOperationConfig

    /$ Maximal number of characters per line of top up printout $/
    attribute charsPerLine : int

    /$ Top up web adapter configuration $/
    attribute webAdapterConfig : String

    /$ prompt user configuration $/
    required attribute promptUserConfig : PromptUserDialogConfig
  }
  
  entity TopUpActivationConfigDO_CST extends ProcessConfig {
    /$ Top up web service adapter configuration $/
    attribute webAdapterConfig : String
  }
  
  entity TopUpReturnConfigDO_CST extends ProcessConfig {

    /$ Top up web adapter configuration $/
    attribute webAdapterConfig : String

    /$ Top up voucher barcode number $/
    attribute voucherBarcode : String

    /$ link to the position operation configuration for Top up voucher sale $/
    attribute positionOperationConfig : PositionOperationConfig

  }
  
  entity TopUpVoidingConfigDO_CST extends ProcessConfig {

    /$ Top up web adapter configuration $/
    attribute webAdapterConfig : String
  }

}
