dslLevel 2

Package com.gk_software.cst.pos.client.model.config.do_types.pos_process

Import com.gk_software.pos.api.model.config.do_types.processes.flows.ProcessConfig_DO.ProcessConfig

domain object VanzPaymentConfig_CST_DO {
    version "v00.00.01"

    /$ Configuration for VanzPayment_CST process. $/
    master entity VanzPaymentConfig_CST extends ProcessConfig {

        /$ Reason Code (must be prefilled). $/
        required attribute vanzReasonCode : String

        /$ Type for Reason Code (must be prefilled). $/
        required attribute vanzReasonType : String with default "E"

        /$ Complete barcode string scanned from order form. $/
        attribute vanzBarcode : String

        /$ Order number. $/
        attribute vanzContractNumber : String

        /$ Order amount. $/
        attribute vanzPrice : double

        /$ Semicolon separated list of void forbidden barcode prefixes. $/
        attribute vanzVoidForbiddenPrefix : String

        /$ Prefix from barcode, defines the concrete webservice. $/
        attribute vanzWebservicePrefix : String

        /$ Customers name. $/
        attribute vanzCustomerName : String

        /$ Customers zip code. $/
        attribute vanzCustomerZipCode : String

        /$ Created specific transaction number. $/
        attribute vanzTransactionNumber : String

        /$ Flag for show\hide vanz contract info. $/
        required attribute vanzShowContractInfo : boolean with default "true"

        /$ Item Id for payIn/payOut line item. $/
        required attribute vanzItem : String with default "10108"

        /$  Web SAP service config. $/
        required attribute webSapAdapterConfig : String

        /$  Web SAP2 service config. $/
        required attribute webSap2AdapterConfig : String

        /$  Webshop service config. $/
        required attribute webshopAdapterConfig : String

        /$ TaxGroupID for created VANZ line item. $/
        attribute taxGroupID : String
    }
}
