dslLevel 2

Package com.gk_software.cst.pos.client.model.config.do_types.pos_process

Import com.gk_software.pos.api.model.config.do_types.processes.flows.registration.VoidLineItemConfig_DO.VoidLineItemConfig
Import com.gk_software.pos.api.model.config.do_types.processes.ui.DialogConfig_DO.MessageDialogConfig

domain object VoidLineItemConfig_EXT {
  version "1.0"
  master entity VoidLineItemConfigDO_EXT extends VoidLineItemConfig {
    required attribute confirmVoidingLinkedItemsDialogConfig : MessageDialogConfig
    required attribute displayLinkedConfirmDialog : boolean
    attribute beforeRescanVoidLine : boolean
    
    /$ Defines, if the line item cancellation was called from the Cancellation of Line Item Group function containing a tobacco tracking code item $/
    attribute tobaccoRegistrationMode : boolean
    //internal parameters
    /$  0 - Standard item entry
            1 - Set component entry
            2 - Bulk Registration

    Default : 0 $/
    attribute mode:int
  }
}
