dslLevel 2
Package com.gk_software.cst.pos.client.model.config.do_types.report

domain object GenericPrintConfig_CST {
  version "1.0"
  
  master entity GenericPrintConfigDO_CST {
    attribute outputDeviceNameForGraphicalPrint : String
    attribute printTarget : PrintTarget_CST
    attribute printLayout : PrintLayout_CST
    attribute printContent   : String
  }
}

typedef PrintTarget_CST : enum with type String [
    GraphicalPrinter    as "GraphicalPrinter",
    PosStation          as "PosStation"
]

typedef PrintLayout_CST : enum with type String [
    Footer          as "0",
    SimpleFooter    as "1",
    WithoutFooter   as "2"
]
