dslLevel 2
Package com.gk_software.cst.pos.client.model.config.do_types.scale

domain object ScaleConfig_CST_DO {
	version "1.0"
	
  /$ Customer specific scale configuration. $/
	master entity ScaleConfig_CST {
	
	  /$ The parameter defines whether the SetFixedManualTare_CST process is called for weight items when no Manual tare is not set. The parameter is checked in ItemEntry process of SelfService scale.  $/
    required attribute displayTareSelection : boolean with default 'false'
    
    /$ The parameter defines, if the scale is in the Coop@Home mode $/
    required attribute coopAtHomeFlag : boolean with default 'false'

    /$ The parameter defines, if the button for exiting the prepacking mode 'Vorverpackung beenden' is displayed $/
    required attribute prepackingExitButton : boolean with default 'true'
	
	  /$ The parameter defines, if the button for starting the prepacking mode 'Vorverpackungs modus VV starten' is displayed $/ 
	  required attribute prepackingStartButton : boolean with default 'true'
	}
}
