dslLevel 2
Package com.gk_software.cst.pos.client.model.config.do_types.sco.payment

Import com.gk_software.cst.pos.client.model.config.do_types.pos_process.GiftCertificateCardTypeMappingConfig_CST.GiftCertificateCardTypeMappingConfigDO_CST
Import com.gk_software.cst.pos.client.model.config.do_types.pos_process.PaymentConfig_EXT.PaymentConfigDO_EXT
Import com.gk_software.pos.api.model.config.do_types.processes.flows.auth.AuthorizationConfig_DO.AuthorizationConfig
Import com.gk_software.cst.pos.client.model.config.do_types.pos_process.TerminalTransactionConfig_CST.TerminalTransactionConfigDO_CST


domain object SCOPaymentConfig_EXT {
  version "1.0"
  master entity SCOPaymentConfigDO_EXT extends PaymentConfigDO_EXT {
    /$ SCO NotEnoughMoneyInTill Authorization $/
    attribute notEnoughMoneyInTill : AuthorizationConfig
    /$ SCO ActiveInstantWin Authorization $/
    attribute activeInstantWin : AuthorizationConfig
    /$ SCO payment seamless suspend authorization $/
    attribute seamlessPaymentFailed : AuthorizationConfig
    /$ SCO Giftcertificate card type mapping config to check Giftcertificate tenders$/
    attribute giftcardConfig : GiftCertificateCardTypeMappingConfigDO_CST
    /$ SCO TerminalTransaction config - needed for tenderClassNode to calculate payContext.currentTenderTotalPaymentAmount $/
    required attribute terminalTransactionConfig : TerminalTransactionConfigDO_CST
  }
}
