dslLevel 2

Package com.gk_software.cst.pos.client.model.config.do_types.sco.promotion_coupon

Import com.gk_software.pos.api.model.app.Flag
Import com.gk_software.cst.pos.client.model.config.do_types.pos_process.EnterCouponConfig_EXT.EnterCouponConfigDO_EXT
Import com.gk_software.cst.pos.client.model.config.do_types.pos_process.CustomerIdentificationConfig_EXT.CustomerIdentificationConfigDO_EXT
Import com.gk_software.pos.api.model.config.do_types.processes.flows.auth.AuthorizationConfig_DO.AuthorizationConfig
Import com.gk_software.pos.api.model.config.do_types.processes.ui.DialogConfig_DO.MessageDialogConfig

domain object SCOEnterCouponConfig_EXT {
	version "1.0"
	master entity SCOEnterCouponConfigDO_EXT extends EnterCouponConfigDO_EXT {
	
	 /$ determines whether an authorization is required for the coupon registration $/
	 attribute authorizationRequired : boolean
	 /$ operator number $/
	 attribute user : String
   /$ Identification of the Hello Family coupon $/
	 attribute couponHelloFamily : String
	 /$ It specifies whether an information is displayed after the Hello Family coupon was successfully entered $/
	 attribute showRegistrationHelloFamily : boolean
	 /$ Config: defines process completed message. $/
   attribute helloFamilyCouponMessageConfig : MessageDialogConfig
	 
	 attribute privilegeValueRegistrationAuthorizationConfig : AuthorizationConfig
	 attribute couponRegisteredAuthorizationConfig : AuthorizationConfig
	}
}
