dslLevel 2
Package com.gk_software.cst.pos.client.model.config.do_types.pdf_print

Import com.gk_software.pos.api.model.app.AbstractEntity_DO.AbstractEntity

domain object PrintPDFReportConfig_CST {
  version "1.0"
  master entity PrintPDFReportConfigDO_CST extends AbstractEntity {
    required attribute pdfDeviceName : String
    /* Report name in PDF */
    /$ Report name in PDF $/
    attribute generatedPdfDescription : String
    attribute compressPdf : boolean

    /*Configuration for fonts */
    /* Number of characters on line *** not needed? */
    /$ Number of characters on line $/
    required attribute charNumber : int
    /* Width of line. (Should be fontCharWidth (4.82) * charNumber for DejaVu Sans Mono font) */
    /$ Width of line. (Should correspond with size of all characters : fontCharWidth (4.82) * charNumber (for font DejaVu Sans Mono) ) $/
    required attribute textAreaSize : int

    /* Font name for printing text */
    required attribute fontName : String
    required attribute fontEncoding : String
    required attribute fontSize : int
    /* Character heigh used to place next line */
    /$ Size of line with character placed $/
    required attribute fontCharLineHeigh : int
    /* Size of one character */
    required attribute fontCharWidth : double

    /* Font name for printing text with double width */
    required attribute fontNameDWide : String
    required attribute fontEncodingDWide : String
    required attribute fontSizeDWide : int
    /* Character heigh used to place next line */
    required attribute fontCharLineHeighDWide : int
    /* Size of one character */
    required attribute fontCharWidthDWide : double

    /* Font name for printing text with double high */
    required attribute fontNameDHigh : String
    required attribute fontEncodingDHigh : String
    required attribute fontSizeDHigh : int
    /* Character heigh used to place next line */
    required attribute fontCharLineHeighDHigh : int
    /* Size of one character */
    required attribute fontCharWidthDHigh : double

    /* Font name for printing text with double size */
    required attribute fontNameDouble : String
    required attribute fontEncodingDouble : String
    required attribute fontSizeDouble : int
    /* Character heigh used to place next line */
    required attribute fontCharLineHeighDouble : int
    /* Size of one character */
    required attribute fontCharWidthDouble : double

    required attribute printCutAsLine : boolean
    required attribute pageWidth : int
    required attribute pageHeigh : int
    /* DPI of generated barcode */
    required attribute barcodeDpi : int
    /*Base width of barcode image */
    required attribute barcodeBaseHeighGenerating : int
    /*Base width of barcode on page */
    required attribute barcodeBaseHeighPage : int
    /*Offset of width of barcode image */
    required attribute barcodeOffsetHeighGenerating : int
    /*Offset of width of barcode on page */
    required attribute barcodeOffsetHeighPage : int
    required attribute xPositionText : int
    /* Start of placing text on page (top margin) */
    required attribute yPositionTextPageStart : int
    /* End of placing text on page (width - bottom margin) */
    required attribute yPositionTextPageEnd : int
    /* Conversion between 100px size image and size on PDF */
    required attribute image100pxToSize : int

    /* Duplicate image flag */
    /* Type of placing duplicate flag NONE , FIRST_PAGE , ALL_PAGES */
    /$ Type of placing duplicate flag NONE , FIRST_PAGE , ALL_PAGES $/
    required attribute duplicateFlagImagePlaceType : String
    required attribute duplicateFlagImagePath : String
    required attribute duplicateFlagImageX : int
    required attribute duplicateFlagImageY : int
    required attribute duplicateFlagImageWidth : int
    required attribute duplicateFlagImageHeigh : int

    /* Image on receipt (like warranty conditions) */
    /$ Type of placing additional image NONE , FIRST_PAGE , ALL_PAGES $/
    attribute additionalImagePlaceType : String
    attribute additionalImagePath : String
    attribute additionalImageX : int
    attribute additionalImageY : int
    attribute additionalImageWidth : int
    attribute additionalImageHeigh : int
  }
}