dslLevel 2

Package com.gk_software.cst.pos.client.model.config.do_types.pos_process
Import com.gk_software.pos.api.model.config.do_types.processes.actions.SignalConfig_DO.SignalConfig
Import com.gk_software.pos.api.model.app.AbstractEntity_DO.AbstractEntity
Import com.gk_software.pos.api.model.config.do_types.processes.flows.ProcessConfig_DO.ProcessConfig


domain object AcousticSignalsConfig_EXT {
  version "v00.00.01"

  master entity AcousticSignalsConfigDO_EXT extends SignalConfig {
    /$ Custom signal type is used instead of signalType if defined.
       Currently possible values:
        CitizenPrinterBeep - for beep with Citizen printer (that must be enabled)
       If custom signal is defined not correctly / fails to process, then there is fallback to perform signalType
    $/
    attribute customSignalType : String
    /$ Max timeout to wait for device lock for custom type of signal.
       If execution cannot be performed in this time custom signal will not be played.
       This prevents deadlock
       Currently this parameter is used only for printer device used for signal type CitizenPrinterBeep
    $/
    attribute maxBlockingTimeout : long with default "5000"
  }

}