dslLevel 2

Package com.gk_software.cst.pos.client.model.config.do_types.pos_process

Import com.gk_software.pos.api.model.config.do_types.processes.flows.tax.AlternativeTaxConfig_DO.AlternativeTaxConfig
Import com.gk_software.pos.api.model.config.do_types.processes.flows.tax.AlternativeTaxConfig_DO.AlternativeTaxInfos

domain object AlternativeTaxConfig_EXT {
  version "1.0"
  
  master entity AlternativeTaxConfigDO_EXT extends AlternativeTaxConfig {
    required attribute alternativeTaxInfos_CST : AlternativeTaxInfos_CST
  }
  
  entity AlternativeTaxInfos_CST {
    /$ Controls, whether the merchandise category assignment is checked. $/
    attribute checkExcludedMerchandiseCategories : boolean with default "false"
    /$ List of merchandise categories for which the alternative sales tax is not used. $/
    attribute alternativeTaxExcludedMerchandiseCategories : String[0..*]
  }
  
  entity AlternativeTaxInfos_EXT extends AlternativeTaxInfos {
    attribute alternativeTaxInfos_CST : AlternativeTaxInfos_CST
  }
  
}
