dslLevel 2

Package com.gk_software.cst.pos.client.model.config.do_types.pos_process

Import com.gk_software.pos.api.model.app.AbstractEntity_DO.AbstractEntity


domain object BadgeDeviceConfig_CST {
  version "v00.00.01"

  master entity BadgeDeviceConfigDO_CST extends AbstractEntity {

    /$ period of time until the next badge check is carried out $/
    required attribute timeout : int
    /$ time for money operation with badge $/
    required attribute timeoutForMoneyOperation : int
    /$ Barcode that is used to make a scan event $/
    attribute badgeEmployeeCardBarcode  : String
    /$ Device class path :
          1) For using virtual device : com.gk_software.cst.pos.hal.device.badge.impl.virtual.VirtualElectronicValueRWDeviceImpl
          2) For using badge_reader device : com.gk_software.cst.pos.hal.device.badge.impl.badge_reader.JPosElectronicValueRWDeviceImpl $/
    required attribute deviceClassPath : String
    /$ Enable and disable device $/
    required attribute enabled : boolean
  }

}
