dslLevel 2

Package com.gk_software.cst.pos.client.model.config.do_types.pos_process
Import com.gk_software.pos.api.model.app.AbstractEntity_DO.AbstractEntity


domain object CashCounterDeviceConfigs_CST {
  version "v00.00.01"
  
  master entity CashCounterDeviceConfigsDO_CST extends AbstractEntity {  
    /$ Communication port id. $/
    required attribute comPort : String

    /$ Timeout of the entire payment process: From counting start to the point where cashier removes the banknotes from the stacker. $/
    required attribute countingTimeout : int
    
    /$ Time to wait for a response of any command. $/
    required attribute deviceRespondTime : int    

    /$ Time in milliseconds in which the device should be cleared after the 'CLEAR' command has been sent. $/
    required attribute clearTime : int    

    /$ Time in milliseconds. Works same as the clear time, and is called when the first clear fails to clear the device's status in time $/
    required attribute secondClearTime : int  

    /$ Time in seconds the cashier has to place some money into the hopper (top part of device) after the "count" button has been clicked. $/
    required attribute placeMoneyOnHopperTimeout : int  

    /$ Device class path : 
          1) For using virtual device : com.gk_software.cst.pos.hal.device.cash_counter.impl.cop_virtual.device.VirtualCashCounterDeviceImpl
          2) For using NotePro 200 device : com.gk_software.cst.pos.hal.device.cash_counter.impl.pro_note.CashCounterDeviceImpl $/
    required attribute deviceClassPath : String
    
    /$ Is device enabled $/
    required attribute enabled : boolean

  }  
}