dslLevel 2

Package com.gk_software.cst.pos.client.model.config.do_types.pos_process
Import com.gk_software.pos.api.model.app.AbstractEntity_DO.AbstractEntity
Import com.gk_software.pos.api.model.config.do_types.processes.flows.ProcessConfig_DO.ProcessConfig


domain object EIQProcessConfig_CST {
  version "v00.00.01"

  master entity EIQProcessDO_CST extends ProcessConfig {
    /$For customerCardFilters:
      Filtering for card input.
      At least one of regex for defined input must match.
      source : source of event (TW=twint ; BD=badge ; _any=any)
      type : type of card ("SC" supercard ; "EC" employee card ; "_any" any card)
      matchingRegex : regex that needs to match
     $/

    attribute testGuiEnabled : boolean
    attribute testGuiPredefinedCards       : EIQProcessPredefinedCardsDO_CST[0..*]

    attribute customerCardFilters       : EIQProcessCardFilteingDO_CST[0..*]

  }

  entity EIQProcessCardFilteingDO_CST {
    required attribute source : String
    required attribute type : String
    required attribute matchingRegex : String
  }

  entity EIQProcessPredefinedCardsDO_CST {
    required attribute label : String
    required attribute cardNumber : String
  }

}