dslLevel 2

Package com.gk_software.cst.pos.client.model.config.do_types.pos_process

Import com.gk_software.pos.api.model.config.do_types.processes.flows.ProcessConfig_DO.ProcessConfig

domain object ForeignCustomerDataConfig_CST {
  version "v00.00.01"

  master entity ForeignCustomerDataConfigDO_CST extends ProcessConfig {

    /$ customer number is used for searching in database $/
    attribute requiredCustomer : String
    
    /$ timeout value – how long function should wait for new customer in database in milliseconds $/
    attribute waitingTimeout : long
    
    /$ timeout value – how often function should check new customer in database in milliseconds $/
    attribute repeatDBCheckTimeout : long

    /$ instance name of webService config for Foreign Customer Data WS $/
    attribute foreignCustomerAdapterConfig : String
  }

}
