dslLevel 2

Package com.gk_software.cst.pos.client.model.config.do_types.pos_process

Import com.gk_software.cst.pos.client.model.config.do_types.pos_process.TopUpConfig_CST.TopUpReturnConfigDO_CST
Import com.gk_software.cst.pos.client.model.config.do_types.pos_process.EProductConfig_CST.EProductVoucherReturnConfigDO_CST
Import com.gk_software.pos.api.model.config.do_types.processes.flows.returns.GoodsReturnConfig_DO.GoodsReturnConfig
Import com.gk_software.pos.api.model.config.do_types.processes.flows.promotion.ManualLineItemDiscountConfig_DO.ManualLineItemDiscountConfig
Import com.gk_software.cst.pos.client.model.config.do_types.pos_process.ReturnWithTransactionConfig_EXT.ReturnWithTransactionConfigDO_EXT

domain object GoodsReturnConfig_EXT {
    version "1.0"

   master entity GoodsReturnConfigDO_EXT extends GoodsReturnConfig {
    /$ Is manual price required $/
    attribute manualPriceRequired  : boolean

    /$ Is additional question for position amount for weight items required $/
    attribute manualPositionAmountForWeightItemsRequired : boolean

    /$ Return with transaction process config id $/
    attribute returnWithTransactionConfig_EXT  : ReturnWithTransactionConfigDO_EXT
    
    /$ Was Simple Identification Process called $/
    attribute isSimpleIdentification : boolean with default "false"
    
    /$ Return with transaction process config id $/
    attribute topUpReturnConfigDO_CST  : TopUpReturnConfigDO_CST
    
    /$ Return EProduct process config $/
    attribute eProductVoucherReturnConfigDO_CST : EProductVoucherReturnConfigDO_CST
  }
}