dslLevel 2

Package com.gk_software.cst.pos.client.model.config.do_types.pos_process

Import com.gk_software.cst.pos.service.common.model.config.do_types.component.webservice.WebServiceConfig_CST.WebServiceConfigDO_CST
Import com.gk_software.pos.api.model.config.do_types.processes.flows.ProcessConfig_DO.ProcessConfig

domain object OpRestConfig_CST {
    version "1.0"

    /$ Configuration for reverse vending system $/
    master entity SettleOpRestConfig_CST extends ProcessConfig {

        /$ Item_ean is used to add AoE OP-Rest position to Bon $/
        attribute itemEan : String

        /$ Flag indicator to assure correct flow $/
        attribute opRestMode : String

        /$ Flag indicator that OP-Rest amount needs to be paid in next transaction $/
        attribute shouldPayOpRest : boolean

        /$ User ID to log in to the web service $/
        attribute userID : String

        /$  Web service config $/
        attribute webAdapterConfig : String
        
        /$ The customer card type. $/
        attribute opRestCustomerCardType : String with default "CC"

    }

}