dslLevel 2

Package com.gk_software.cst.pos.client.model.config.do_types.pos_process

Import com.gk_software.pos.api.model.config.do_types.processes.flows.ProcessConfig_DO.ProcessConfig
Import com.gk_software.pos.api.model.config.do_types.processes.flows.registration.PayInOutConfig_DO.PayInOutConfig
Import com.gk_software.pos.api.model.config.do_types.processes.flows.auth.AuthorizationConfig_DO.AuthorizationConfig
Import com.gk_software.pos.api.model.app.Code4
Import com.gk_software.pos.api.model.config.do_types.processes.ui.DialogConfig_DO.PromptUserDialogConfig

domain object PayInOutItemConfig_EXT {
    version "1.0"

    /$ Configuration for pay in / pay out processes $/
    master entity PayInOutItemConfigDO_EXT  extends PayInOutConfig {
        /$ The authorization config $/
        attribute authorizationConfigFourEyes : AuthorizationConfig

        /$ Reasons that can not have manual input amount avaible $/
        attribute reasons : String [0 .. *]
        
        /$ Reference to the config of the Reference input dialog $/
        required attribute promptForReferenceConfig : PromptUserDialogConfig

         //internal parameters
        /$  0 - Standard item entry
            1 - Set component entry
            2 - Bulk Registration

            Default : 0
        $/
        attribute mode:int

    }


}