dslLevel 2
Package com.gk_software.cst.pos.client.model.config.do_types.pos_process

Import com.gk_software.pos.api.model.config.do_types.processes.flows.customer.PermanentCustomerInformationConfig_DO.PermanentCustomerInformationConfig

domain object PermanentCustomerInformationConfig_EXT {
  version "1.0"

  master entity PermanentCustomerInformationConfigDO_EXT extends PermanentCustomerInformationConfig {
    /$ It specifies whether the card number is displayed permanently in the Permanent Customer Information Panel. $/
    required attribute displayCardNumber : boolean with default "false"
    /$ It specifies whether the receipt is displayed permanently in the Permanent Customer Information Panel.  $/
    required attribute displayReceiptType : boolean with default "false"
    /$ It specifies whether the presence of a discount blocking flag for the buyer | customer is visualized permanently in the Permanent Customer Information Panel.   $/
    required attribute displayDiscountBlockingFlag : boolean with default "false"
    /$ It specifies whether the button for displaying the extended customer information is displayed next to the Permanent Customer Information Panel.   $/
    required attribute displayExtendedCustomerInformationButton : boolean with default "false"
  }
}
