dslLevel 2

Package com.gk_software.cst.pos.client.model.config.do_types.pos_process

Import com.gk_software.pos.api.model.config.do_types.processes.flows.print.PrintoutRepetitionConfig_DO.PrintoutRepetitionConfig
Import com.gk_software.pos.api.model.config.do_types.processes.flows.auth.AuthorizationConfig_DO.AuthorizationConfig
Import com.gk_software.pos.api.model.config.instances.processes.flows.auth.AuthorizationConfigs
Import com.gk_software.cst.pos.client.model.config.do_types.pdf_print.PrintPDFReportConfig_CST.PrintPDFReportConfigDO_CST


domain object PrintoutRepetitionConfig_EXT {
    version "1.0"

    master entity PrintoutRepetitionConfigDO_EXT extends PrintoutRepetitionConfig {

       /$ Specifies, whether the Confirm Dialog Scan_SC is shown or not. $/
       attribute showSupercardMask : boolean with default "true"

       /$ Specifies, whether the original graphical receipt can be reprinted or not. (without watermark) $/
       attribute originalGraphicalReprintAllowed : boolean with default "false"

       attribute originalGraphicalMaximumAge : int

       /$ Specifies, whether print last receipt without showing any steps $/
       attribute reprintLast : boolean with default "false"

       /$ If set to "CHARACTER_GRAPHICAL" then is output redirected to graphical printer (A4) with layout same as character print, otherwise standard functionality $/
       attribute reprintMode : String

       /$ Use journal data to reprint transaction $/
       attribute useJournalData : boolean

       attribute characterGraphicalConfiguration : PrintPDFReportConfigDO_CST

       attribute printAsOriginal : boolean with default "false"

       attribute printAdditionalReceiptsToGraphicalPrinter : boolean with default "true"

       /$ Authorization configuration for reprinting original receipt $/
       required attribute authorizationConfigOriginalReprint : AuthorizationConfig
       
       attribute warrantyReprintLastReceipt : boolean with default "false"
       
       attribute warrantyReprintSupercard : boolean with default "false"
       
       attribute scanExpectMessageKey : String

       attribute supercardMessage : String

    }

}