dslLevel 2
Package com.gk_software.cst.pos.client.model.config.do_types.pos_process

Import com.gk_software.pos.api.model.config.Integer
Import com.gk_software.pos.api.model.config.do_types.processes.flows.ProcessConfig_DO.ProcessConfig

 typedef ModeOfPromotionTenderType_CST : enum with type String [   
    SUPERPOINTS_PAYMENT  as "SUPERPOINTS_PAYMENT",
    SCGC_TRANSFER as "SCGC_TRANSFER"
 ]


domain object PromotionTenderConfig_CST {
  version "1.0"

    master entity PromotionTenderConfigDO_CST extends ProcessConfig {

      /$ default value: 'true'; function for payment by super points will be deactivated (payment by super cash is not possible) $/
      required  attribute skipPointsPayment       : boolean   

      /$ default value: 'true'; automatic calling of function for payment by super points will be skipped on start of function payment $/
      required  attribute skipAutomaticPointsPayment       : boolean  

      /$ default value: 'ZZ38'; tender for payment by super points, if tender is not set in promotion with discount method code REBATE_AS_TENDER (02)  $/
      required   attribute defaultPointsTenderTypecode : String 

      /$ default value: 'ZZ38'; tender for payment by super points for scgc line item (scgc transfer), if tender is not set in promotion with discount method code REBATE_AS_TENDER (02)  $/
      required   attribute scgcTransferTenderTypecode : String 

      /$ default value: '02' (ROUND_DOWN); accepted_values: 00 (NO_ROUNDING), 01 (ROUND_HALF_UP), 02 (ROUND_DOWN ), 03 (ROUND_UP), 04 (ROUND_HALF_DOWN); method for rounding super points $/
      required  attribute roundPointsMethod : String
      
      /$ default value: '5';  round precisions for rounding super points $/
      required attribute roundPointsPrecision : int      

      /$ default value: 'SignalConfigs.PromotionTenderEnterPoints';  configuration of sound output before show mask for points input $/
      required attribute signalConfigID : String
      
     /$ default value: 'SUPERPOINTS_PAYMENT'; internal parameter function can be called in sale transaction for  payment by points or payment by points for SCGC transfer  'SCGC_TRANSFER' $/
      required attribute mode : String
    }
}
