dslLevel 2
Package com.gk_software.cst.pos.client.model.config.do_types.pos_process

Import com.gk_software.pos.api.model.config.do_types.processes.flows.sales_restrictions.SalesRestrictionsConfig_DO.SalesRestrictionsConfig
Import com.gk_software.pos.api.model.config.do_types.processes.ui.DialogConfig_DO.MessageDialogConfig

domain object SalesRestrictionsConfig_EXT{
  version "1.0"
  master entity SalesRestrictionsConfigDO_EXT extends SalesRestrictionsConfig {
      required attribute enableFeatureAlcoholTimeSalesRestriction : boolean
      required attribute salesRestrictionPeriodFrom               : String
      required attribute salesRestrictionPeriodTo                 : String
      required attribute salesRestrictionTargetID                 : String
      required attribute salesRestrictionAvailableMhgs            : String
      required attribute individualCouponPrefix                   : String

      /$parameter to receive the merchandise group if the item is registered via merchandise category sale$/
      attribute merchandiseGroupID                                : String
      attribute ignoreErrors                                      : boolean
      
      attribute scoShowYouthProtectionPicture                     : boolean
      attribute scoYouthProtectionAge                             : String [ 0 .. * ]
      
      attribute scoPromotionNotFoundMessageDialog                 : MessageDialogConfig
  }
}