dslLevel 2

Package com.gk_software.cst.pos.client.model.config.do_types.pos_process

Import com.gk_software.cst.pos.client.model.config.do_types.pos_process.GenerateInvoiceNumberConfig_CST.GenerateInvoiceNumberConfigDO_CST
Import master_data.reason.Reason.ReasonSO
Import com.gk_software.pos.api.model.config.do_types.processes.flows.transaction.VoidTransactionConfig_DO.VoidTransactionConfig
Import com.gk_software.cst.pos.client.model.config.do_types.pos_process.BadgeConfigs_CST.BadgeCommonConfigDO_CST

domain object VoidTransactionConfig_EXT {
  version "1.0"
  master entity VoidTransactionConfigDO_EXT extends VoidTransactionConfig {
    attribute cancellationReasonCode : String
    attribute cancellationReasonDescription : String
    attribute isSimpleIdentification : boolean with default "false"

    /$ A parameter list that contains all VANZ prefixes forbidden for VOID. $/
    attribute vanzForbiddenPrefixForStorno : String [0 .. *] indistinct
    required attribute badgeCommonConfig : BadgeCommonConfigDO_CST
    required attribute skipVoidPrintout : boolean
    
    required attribute allowCancelForTobaccoPosition : boolean
    
    /$ Reference to GenerateInvoiceNumberConfig $/
    attribute generateInvoiceNumberConfig : GenerateInvoiceNumberConfigDO_CST
  }
}
