dslLevel 2

Package com.gk_software.cst.pos.client.model.config.do_types.pos_process

Import com.gk_software.pos.api.model.config.do_types.processes.flows.ProcessConfig_DO.ProcessConfig
Import com.gk_software.cst.pos.client.model.config.do_types.pos_process.WebshopRestrictionsConfig_CST.WebshopRestrictionsConfigDO_CST

domain object XChannelWebshopPaymentsConfig_CST {
	version "1.0"
	master entity XChannelWebshopPaymentsConfigDO_CST extends ProcessConfig {
	 
    /$ terminal id for communication with webservice $/
    attribute terminalID : String
    
    /$ Item ID for payIn line item $/
    attribute xChannelItem : String
    
    /$ Reason Code $/
    attribute xChannelReasonCode : String
    
    /$ complete barcode string scanned from order form $/
    attribute xChannelBarcode : String
    
    /$ system id, SAP identification of webservice $/
    attribute xChannelSID : String
    
    /$ client id: SAP client of webservice $/
    attribute xChannelWebshopClientID : String
    
    /$ order number $/
    attribute xChannelOrderNumber : String

    /$ order amount $/
    attribute xChannelOrderAmount : String 

    /$ Webshop specific age restriction values are stored in the configuration file webshopRestrictions $/
    attribute webshopRestrictionsConfig : WebshopRestrictionsConfigDO_CST

	  /$ Signal config id for acoustic signals. $/
    attribute signalConfigId : String
    
    /$ external sales restriction id for check in webshopRestrictions configuration $/
    attribute externalAgeRestrictionID : String 

    /$ XChannel web adapter configuration $/
    attribute webAdapterConfig : String 
	}
}
