dslLevel 2
Package com.gk_software.cst.pos.client.model.config.do_types.report

Import com.gk_software.pos.api.model.app.AbstractEntity_DO.AbstractEntity

Import com.gk_software.pos.api.model.config.do_types.component.client.PrintJasperReportConfig_DO.JasperReportConfig

Import com.gk_software.pos.api.model.config.do_types.component.client.PrintJasperReportConfig_DO.PrintJasperReportConfig


domain object PrintJasperReportConfig_CST {
  version "1.0"
  master entity PrintJasperReportConfigDO_CST extends AbstractEntity {
    attribute mainCategoryQualifier : String
    attribute printReportWithoutVoid : boolean
    attribute sortingEnabled : boolean
    attribute pyroReceiptPrintFrom : String
    attribute pyroReceiptPrintTo : String
    attribute checkOutCouponPrefix : String
    attribute taxExemptionLimit : String
    attribute listForBankAccountDay : String
    attribute pickingVoucherLogoFile : String
    /$  Defines the customer card type for TG channel $/
    attribute customerCardType : String
    attribute tobaccoHierarchyCodeList : String [0..*]
    attribute logoFile : String
    attribute printMhgInformation : boolean
    attribute printConfirmationOfArrival : boolean
    attribute listMhgInformation : String [0..*]
    attribute sorting : Sorting
  }
  
  entity Sorting {
    attribute weightLineItem : WeightLineItem
  }
  
  entity WeightLineItem {
    attribute meatMhgIDQualifier : String
    attribute listMeatMhgID : String [0..*]
    attribute fruitandVegetablesMhgIDQualifier : String
    attribute listFruitandVegetablesMhgID : String [0..*]
    attribute fishMhgIDQualifier : String
    attribute listFishMhgID : String [0..*]
    attribute cheeseMhgIDQualifier : String
    attribute listCheeseMhgID : String [0..*]
  }
}
