dslLevel 2
Package com.gk_software.cst.pos.client.model.config.do_types.scale

Import com.gk_software.cst.pos.client.model.config.do_types.pos_process.PrintLabelAgainConfig_CST.PrintLabelAgainConfigDO_CST
Import com.gk_software.cst.pos.client.model.config.do_types.scale.LabelPrintInfoPrepackagingConfig_CST.LabelPrintInfoPrepackagingConfigDO_CST
Import com.gk_software.pos.api.model.config.do_types.processes.flows.scale.PrepackagingModeConfig_DO.PrepackagingModeConfig

domain object PrepackagingModeConfig_EXT_DO {
  version "1.0"
  
  master entity PrepackagingModeConfig_EXT extends PrepackagingModeConfig {
    /$ Specifies how the internalParameter currentDepartmentID is set. If the value = null, the value of ScaleConfig.DepartmentID is used $/
    attribute prepackDepartmentID : String
    
    /$ Determines how the ScaleContext is set (Prepackaging_VV / Prepackaging_CH )$/
    required attribute prepackagingMode : PrepackagingMode_CST
    
    /$ Defines whether the label is printed a second time  $/
    required attribute printLabelAgain : boolean
    
    /$ reference to the LabelPrintInfoPrepackagingConfig $/
    required attribute labelPrintInfoPrepackagingConfig : LabelPrintInfoPrepackagingConfigDO_CST
  }
}

typedef PrepackagingMode_CST : enum with type String [
    Prepackaging_VV as "Prepackaging_VV",
    Prepackaging_CH as "Prepackaging_CH"
]