dslLevel 2
Package com.gk_software.cst.pos.client.model.config.do_types.sco.scgc_transfer

Import com.gk_software.pos.api.model.config.do_types.processes.ui.DialogConfig_DO.MessageDialogConfig
Import com.gk_software.pos.api.model.config.do_types.processes.flows.auth.AuthorizationConfig_DO.AuthorizationConfig
Import com.gk_software.cst.pos.client.model.config.do_types.pos_process.ScgcTransferConfig_CST.ScgcTransferConfigDO_CST


domain object SCOScgcTransferConfig_CST {
  version "1.0"

  master entity SCOScgcTransferConfigDO_CST extends ScgcTransferConfigDO_CST {
    /$ The config for Authorization reason due to supercash giftcard transfer $/
    attribute scoScgcTransferPointsConfig : AuthorizationConfig

    /$ Defines if authorization required  $/
    required attribute scoAuthorizationRequired : boolean with default "true"

    /$ Configuration for transfer invalid GC Type message dialog. $/
    required attribute scgcInvalidGCTypeMessageDialog: MessageDialogConfig

  }
}
