dslLevel 2

Package com.gk_software.cst.pos.client.model.config.do_types.sco.subtotal_verification

Import com.gk_software.pos.api.model.config.do_types.processes.flows.registration.SubtotalVerificationConfig_DO.SubtotalVerificationConfig
Import com.gk_software.pos.api.model.config.do_types.processes.flows.auth.AuthorizationConfig_DO.AuthorizationConfig
Import com.gk_software.cst.pos.client.model.config.do_types.pos_process.SubtotalVerificationConfig_EXT.SubtotalVerificationConfigDO_EXT

domain object SCOSubtotalVerificationConfig_EXT {
  version "1.0"

  master entity SCOSubtotalVerificationConfigDO_EXT extends SubtotalVerificationConfigDO_EXT {

    attribute verifyPositionCancellationLimitExceededAuthorizationConfig : AuthorizationConfig
    attribute verifyNegativeSubtotalAuthorizationConfig                  : AuthorizationConfig
    attribute verifyZeroSubtotalAuthorizationConfig                      : AuthorizationConfig

    /$ Maximum count of cancelled positions allowed for payment without authorization
    Default:3 $/
    required attribute cancelledLineItemsCountLimitSco : int
    
    required attribute skipCouponScreensSscSeamlessSco : boolean 

  }
}
